We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Syncfusion Feedback

Trusted by the world’s leading companies

syncfusion trusted companies

Overview

The Angular Smith Chart is a control for showing the parameters of transmission lines in high-frequency circuit applications. Its rich feature set includes features like legends, markers, tooltips, and data labels.


Rendering type

Visualize both the impedance and admittance of transmission lines with Smith chart.


Title and subtitle

Add a title and subtitle to the JavaScript Smith chart control to visualize additional information about the data represented. You can customize the font and alignment of the title and subtitle.

Angular JS2 Smith chart with title and subtitle


Multiple series

Plot any number of line series for representing data.

Angular Smith chart with multiple series


Axis customization

The Angular Smith chart control supports a horizontal axis and radial axis. The horizontal axis is used for plotting resistance values of transmission lines and the radial axis is used for plotting nonresistance values of transmission lines.

Angular Smith chart with customized axis


Marker

Markers highlight data points to improve readability.

Angular Smith chart with markers


Data labels

Easily annotate the data points with labels to help improve the readability of data. The data labels in the Angular Smith chart control are smartly arranged to avoid intersection when there are large amounts of data.

Angular Smith chart with data labels


Legend

A legend provides additional information that is helpful in identifying individual series in a Smith chart. It can be docked at the left, right, top, or bottom positions around the plot area. By clicking a legend item, we can toggle series visibility.

Angular Smith chart rendered with legend


Animation

Animate the series in the Angular Smith chart while rendering.

Angular Smith chart with animation


Tooltip

The interactive Angular Smith chart displays a pop-up with additional information when the mouse is hovered over a data point.

Displays a tooltip on moving mouse over the Angular Smith chart


Exporting

Print or export the rendered Angular Smith chart to save a local copy for further use.

Export Angular Smith chart illustration

Export

You can export the Smith chart to a PDF document or in image formats such as SVG, PNG, and JPEG in client-side.

Print Angular Smith chart illustration

Print

Print the rendered Smith chart directly from the browser.


Touch and browser support

The interactive Smith chart control also support touch interactions.

Touch illustration

Touch support

All the Smith chart features will work on touch devices with zero configuration. Use the touch features, such as tooltips and toggling series visibility using the legend, without any customization.

Responsive illustration

Responsive

You can view the Smith chart control on various devices. Also hide specific elements in the Smith chart for particular screen sizes by making a very minimal change in the events.

Cross browser illustration

Cross-browser support

You can render the Smith chart component in all modern browsers.


Angular Smith Chart Code Example

Easily get started with the Angular Smith Chart using a few simple lines of ts code example as demonstrated below. Also explore our Angular Smith Chart Example that shows you how to render and configure the Smith Chart in Angular.

import { Component } from '@angular/core';

@Component({
    selector: 'app-container',
    template: `<ejs-smithchart style='display: block;' id='container' height='350px'>
    <e-seriesCollection>
        <e-series [dataSource]='seriesdata1' name='Transmission1' reactance='reactance' resistance='resistance'> </e-series>
        <e-series [points]='seriespoints' name='Transmission2'> </e-series>
    </e-seriesCollection>
    </ejs-smithchart>`
})

export class AppComponent {
    public seriesdata1: object[] = [
                { resistance: 10, reactance: 25 }, { resistance: 8, reactance: 6 },
                { resistance: 6, reactance: 4.5 }, { resistance: 4.5, reactance: 2 },
                { resistance: 3.5, reactance: 1.6 }, { resistance: 2.5, reactance: 1.3 },
                { resistance: 2, reactance: 1.2 }, { resistance: 1.5, reactance: 1 },
                { resistance: 1, reactance: 0.8 }, { resistance: 0.5, reactance: 0.4 },
                { resistance: 0.3, reactance: 0.2 }, { resistance: 0, reactance: 0.15 },
            ];
    public seriespoints: object[] = [
                { resistance: 20, reactance: -50 }, { resistance: 10, reactance: -10 },
                { resistance: 9, reactance: -4.5 }, { resistance: 8, reactance: -3.5 },
                { resistance: 7, reactance: -2.5 }, { resistance: 6, reactance: -1.5 },
                { resistance: 5, reactance: -1 }, { resistance: 4.5, reactance: -0.5 },
                { resistance: 3.5, reactance: 0 }, { resistance: 2.5, reactance: 0.4 },
                { resistance: 2, reactance: 0.5 }, { resistance: 1.5, reactance: 0.5 },
                { resistance: 1, reactance: 0.4 }, { resistance: 0.5, reactance: 0.2 },
                { resistance: 0.3, reactance: 0.1 }, { resistance: 0, reactance: 0.05 },
            ];
}

Other supported frameworks

Smith Chart is also available in Blazor, React, Vue, and JavaScript frameworks. Check out the different Smith Chart platforms from the links below,


Angular version compatibility

With continuous improvement in Angular versions, the Angular Smith Chart is kept up to date to make it compatible with the latest version.



90+ ANGULAR UI COMPONENTS

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon

We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Overview

The React Smith Chart is a control for showing the parameters of transmission lines in high-frequency circuit applications. Its rich feature set includes features like legends, markers, tooltips, and data labels.


Rendering type

Visualize both the impedance and admittance of transmission lines with Smith chart.


Title and subtitle

Add a title and subtitle to the React Smith chart control to visualize additional information about the data represented. You can customize the font and alignment of the title and subtitle.

React Smith chart with title and subtitle


Multiple series

Plot any number of line series for representing data.

React Smith chart with multiple series


Axis customization

The React Smith chart control supports a horizontal axis and radial axis. The horizontal axis is used for plotting resistance values of transmission lines and the radial axis is used for plotting nonresistance values of transmission lines.

React Smith chart with customized axis


Marker

Markers highlight data points to improve readability.

React Smith chart with markers


Data labels

Easily annotate the data points with labels to help improve the readability of data. The data labels in the React Smith chart control are smartly arranged to avoid intersection when there are large amounts of data.

React Smith chart with data labels


Legend

A legend provides additional information that is helpful in identifying individual series in a Smith chart. It can be docked at the left, right, top, or bottom positions around the plot area. By clicking a legend item, we can toggle series visibility.

React Smith chart rendered with legend


Animation

Animate the series in the React Smith chart while rendering.

React Smith chart with animation


Tooltip

The interactive React Smith chart displays a pop-up with additional information when the mouse is hovered over a data point.

Displays a tooltip on moving mouse over the React Smith chart


Exporting

Print or export the rendered React Smith chart to save a local copy for further use.

Export React Smith chart illustration

Export

You can export the Smith chart to a PDF document or in image formats such as SVG, PNG, and JPEG in client-side.

Print React Smith chart illustration

Print

Print the rendered Smith chart directly from the browser.


Touch and browser support

The interactive Smith chart control also support touch interactions.

Touch illustration

Touch support

All the Smith chart features will work on touch devices with zero configuration. Use the touch features, such as tooltips and toggling series visibility using the legend, without any customization.

Responsive illustration

Responsive

You can view the Smith chart control on various devices. Also hide specific elements in the Smith chart for particular screen sizes by making a very minimal change in the events.

Cross-browser illustration

Cross-browser support

You can render the Smith chart component in all the modern browsers.


React Smith Chart Code Example

Easily get started with the React Smith Chart using a few simple lines of TSX code example as demonstrated below. Also explore our React Smith Chart Example that shows you how to render and configure the Smith Chart in React.

import * as React from "react";
import * as ReactDOM from "react-dom";
import { SmithchartComponent, SmithchartSeriesCollectionDirective, SmithchartSeriesDirective } from '@syncfusion/ej2-react-charts';
class App extends React.Component {
    render() {
        return (<SmithchartComponent id='smithchart'>
                        <SmithchartSeriesCollectionDirective>
                            <SmithchartSeriesDirective points={[
            { resistance: 10, reactance: 25 }, { resistance: 8, reactance: 6 },
            { resistance: 6, reactance: 4.5 }, { resistance: 4.5, reactance: 2 },
            { resistance: 3.5, reactance: 1.6 }, { resistance: 2.5, reactance: 1.3 },
            { resistance: 2, reactance: 1.2 }, { resistance: 1.5, reactance: 1 },
            { resistance: 1, reactance: 0.8 }, { resistance: 0.5, reactance: 0.4 },
            { resistance: 0.3, reactance: 0.2 }, { resistance: 0, reactance: 0.15 },
        ]} name='Transmission1'>
                            </SmithchartSeriesDirective>
                            <SmithchartSeriesDirective points={[
            { resistance: 20, reactance: -50 }, { resistance: 10, reactance: -10 },
            { resistance: 9, reactance: -4.5 }, { resistance: 8, reactance: -3.5 },
            { resistance: 7, reactance: -2.5 }, { resistance: 6, reactance: -1.5 },
            { resistance: 5, reactance: -1 }, { resistance: 4.5, reactance: -0.5 },
            { resistance: 3.5, reactance: 0 }, { resistance: 2.5, reactance: 0.4 },
            { resistance: 2, reactance: 0.5 }, { resistance: 1.5, reactance: 0.5 },
            { resistance: 1, reactance: 0.4 }, { resistance: 0.5, reactance: 0.2 },
            { resistance: 0.3, reactance: 0.1 }, { resistance: 0, reactance: 0.05 },
        ]} name='Transmission2'>
                            </SmithchartSeriesDirective>
                        </SmithchartSeriesCollectionDirective>
            </SmithchartComponent>);
    }
}
ReactDOM.render(<App />, document.getElementById('smithchart'));

Other supported frameworks

The Smith Chart component is also available in Blazor, Vue, Angular, and JavaScript frameworks. Check out the different Smith Chart platforms from the links below,



90+ REACT UI COMPONENTS

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon